//
//  MTLPreferencesWindowController.h
//  Expenses
//
//  Created by narita on 07/10/05.
//  Copyright 2007 MindTools. All rights reserved.
//

#import <Cocoa/Cocoa.h>

/*!
	@class 		MTLPreferencesWindowController
	@abstract   初期設定ウインドウのコントローラー
    @discussion 
*/

#import <Cocoa/Cocoa.h>

@interface MTLPreferencesWindowController : NSWindowController <NSUserInterfaceValidations>
{
    NSInteger selectedNumber;
}

#pragma mark -
#pragma mark class methods
/*!
    @method     sharedPreference
    @abstract   プリファレンスウインドウは１つしか作成しないためにこのメソッドでインスタンスを作成して使用する。
    @discussion 

*/

+ (id) sharedPreference;

#pragma mark -
#pragma mark init methods

#pragma -
#pragma mark dealloc

#pragma mark -
#pragma mark NSCopying, hash, isEqual:

#pragma mark -
#pragma mark NSCoding methods

#pragma mark -
#pragma mark awakeFromNib-like methods

#pragma mark -
#pragma mark action methods

#pragma mark -
#pragma mark delegate/datasource methods

#pragma mark -
#pragma mark accessor methods (in pairs)

#pragma mark -
#pragma mark Utility methods

@end
