//
//  MTLTabView.h
//  EnablerTest
//
//  Created by narita on 2013/01/23.
//  Copyright (c) 2013年 narita. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "NSObject(MTLControlItemEnabler).h"

@interface MTLTabView : NSTabView <MTLControlItemEnablerProtocol, NSValidatedUserInterfaceItem>
{
    id  _target;
    SEL _action;
}

#pragma mark -
#pragma mark class methods

#pragma mark -
#pragma mark init methods

#pragma -
#pragma mark dealloc

#pragma mark -
#pragma mark NSCopying, hash, isEqual:

#pragma mark -
#pragma mark NSCoding methods

#pragma mark -
#pragma mark awakeFromNib-like methods

#pragma mark -
#pragma mark action & canAction methods

#pragma mark -
#pragma mark delegate/datasource methods

#pragma mark -
#pragma mark accessor methods (in pairs)

@property (retain) IBOutlet id target;
@property (assign) SEL action;

- (void)setActionName:(NSString*)inActionName;
- (NSString*)actionName;

#pragma mark -
#pragma mark Utility methods

/*!
 @method     updateEnableState
 @abstract   enabledの値をtarget-actionを参考にアップデートする
 @discussion
 */
- (void) updateEnableState;

@end
